Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(129)

Issue 2886363002: Flip the kRequireSecureOriginsForPepperMediaRequests to enabled by default (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by raymes
Modified:
4 months ago
Reviewers:
Timothy Loh, alexmos
CC:
chromium-reviews, jam, chfremer+watch_chromium.org, phoglund+watch_chromium.org, raymes+watch_chromium.org, feature-media-reviews_chromium.org, darin-cc_chromium.org, mlamouri+watch-permissions_chromium.org, chrome-apps-syd-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Flip the kRequireSecureOriginsForPepperMediaRequests to enabled by default BUG=526324 Review-Url: https://codereview.chromium.org/2886363002 Cr-Commit-Position: refs/heads/master@{#473754} Committed: https://chromium.googlesource.com/chromium/src/+/dfa8b4938091b9500dc5a5ac2835b95f4e24ec04

Patch Set 1 #

Patch Set 2 : Flip the kRequireSecureOriginsForPepperMediaRequests to enabled by default #

Patch Set 3 : Flip the kRequireSecureOriginsForPepperMediaRequests to enabled by default #

Patch Set 4 : Flip the kRequireSecureOriginsForPepperMediaRequests to enabled by default #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+64 lines, -41 lines) Patch
M chrome/browser/media/webrtc/media_stream_device_permission_context_unittest.cc View 2 chunks +28 lines, -23 lines 0 comments Download
M chrome/browser/media/webrtc/media_stream_devices_controller_browsertest.cc View 1 chunk +25 lines, -15 lines 0 comments Download
M chrome/browser/permissions/permission_context_base.cc View 1 2 3 2 chunks +10 lines, -2 lines 2 comments Download
M content/public/common/content_features.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (16 generated)
raymes
4 months ago (2017-05-21 22:20:30 UTC) #2
Timothy Loh
On 2017/05/21 22:20:30, raymes wrote: lgtm
4 months ago (2017-05-22 03:16:14 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886363002/20001
4 months ago (2017-05-22 03:17:29 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/443463)
4 months ago (2017-05-22 03:25:09 UTC) #11
raymes
+alexmos for content/
4 months ago (2017-05-22 03:47:48 UTC) #13
raymes
https://codereview.chromium.org/2886363002/diff/60001/chrome/browser/permissions/permission_context_base.cc File chrome/browser/permissions/permission_context_base.cc (right): https://codereview.chromium.org/2886363002/diff/60001/chrome/browser/permissions/permission_context_base.cc#newcode240 chrome/browser/permissions/permission_context_base.cc:240: if (!requesting_origin.SchemeIs(extensions::kExtensionScheme) && timloh: I had to add this ...
4 months ago (2017-05-22 04:09:40 UTC) #14
Timothy Loh
https://codereview.chromium.org/2886363002/diff/60001/chrome/browser/permissions/permission_context_base.cc File chrome/browser/permissions/permission_context_base.cc (right): https://codereview.chromium.org/2886363002/diff/60001/chrome/browser/permissions/permission_context_base.cc#newcode240 chrome/browser/permissions/permission_context_base.cc:240: if (!requesting_origin.SchemeIs(extensions::kExtensionScheme) && On 2017/05/22 04:09:39, raymes wrote: > ...
4 months ago (2017-05-22 04:31:19 UTC) #17
alexmos
content/ LGTM
4 months ago (2017-05-22 17:18:58 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886363002/60001
4 months ago (2017-05-22 23:22:41 UTC) #23
commit-bot: I haz the power
4 months ago (2017-05-23 00:09:25 UTC) #26
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/dfa8b4938091b9500dc5a5ac2835...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b